package com.cool.store.enums;

/**
 * @author zhangchenbiao
 * @FileName: MessageTypeEnum
 * @Description:
 * @date 2023-06-15 10:14
 */
public enum MessageTypeEnum {

    SCHEDULE_REMINDER("schedule_reminder", "日历提醒事件", "img_v2_0709ece3-77a8-49a4-820f-f245b2a4fdag")



    ;

    private String code;

    private String name;

    private String imageMediaId;

    MessageTypeEnum(String code, String name, String imageMediaId) {
        this.code = code;
        this.name = name;
        this.imageMediaId = imageMediaId;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    public String getImageMediaId() {
        return imageMediaId;
    }

    public static String getImageMediaId(String code){
        for (MessageTypeEnum value : MessageTypeEnum.values()) {
            if(value.code.equals(code)){
                return value.imageMediaId;
            }
        }
        return null;
    }
}
